%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

%if 0%{?fedora}
%bcond doc 1
%endif

%global commit 2037af4ed09a0c2cc80168659542ecba9828a40a
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           wyrd
Version:        1.7.1
Release:        1
Summary:        A text-based front-end to Remind

License:        GPL-2.0-or-later
URL:            https://gitlab.com/wyrd-calendar/wyrd
Source:         https://gitlab.com/wyrd-calendar/wyrd/-/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

Patch:          0001-add-camlp-streams-to-dune-config.patch

BuildRequires:  ocaml
BuildRequires:  ocaml-camlp-streams-devel
BuildRequires:  ocaml-curses-devel
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-odoc
BuildRequires:  ocaml-yojson-devel 
BuildRequires:  remind

Requires:       remind

%global _description %{expand:
Wyrd is a text-based front-end to Remind, a sophisticated calendaring
and alarm program. Wyrd requires only a fraction of the resources of 
most calendar programs available today.}

%description %{_description}
Wyrd does not hide Remind's text-based programmability, for this is what
makes Remind a truly powerful calendaring system.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%package        doc
Summary:        Documentation files for %{name}


%description    doc
The %{name}-doc package contains documentation for using %{name}.


%prep
%autosetup -n wyrd-%{commit}


%build
%dune_build

%if %{with doc}
pushd doc || exit 1
make all
popd || exit 1
%endif

%install
%dune_install

%if %{with doc}
pushd doc || exit 1
PREFIX=%{buildroot}%{_prefix} make install
popd || exit 1
%endif

install -p -D -m 0644 wyrdrc %{buildroot}%{_sysconfdir}/wyrdrc

%check
%dune_check


%files -f .ofiles
%license COPYING
%config(noreplace) %{_sysconfdir}/wyrdrc

%files devel -f .ofiles-devel

%files doc
%{_mandir}/man*/wyrd*

%changelog
* Tue Mar 12 2024 Neil Hanlon <neil@shrug.pw> - 1.7.1-1
- Initial package
